apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend
  labels:
    app: frontend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: frontend
  template:
    metadata:
      labels:
        app: frontend
    spec:
      imagePullSecrets:
        - name: ghcr.io
      containers:
        - name: frontend
          image: ghcr.io/four-lights-nl/mijn-365zon-frontend-365zon:latest
          ports:
            - containerPort: 80
          envFrom:
            - configMapRef:
                name: frontend
          resources:
            requests:
              cpu: 200m
              memory: 256Mi
            limits:
              cpu: 1000m
              memory: 1024Mi
